/*
 * FILE NAME
 *	arch/mips/vr41xx/vr4121/common/siu.h
 *
 * BRIEF MODULE DESCRIPTION
 *	Include file for Serial Interface Unit of NEC VR4121.
 *
 * Author: Yoichi Yuasa
 *         yyuasa@mvista.com or source@mvista.com
 *
 * Copyright 2002 MontaVista Software Inc.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*
 * Changes:
 *  MontaVista Software Inc. <yyuasa@mvista.com> or <source@mvista.com>
 *  - New creation, NEC VR4122 and VR4131 are supported.
 *
 *  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>  Tue,  5 Mar 2002
 *  - This file was copied from arch/mips/vr41xx/vr4122/common/siu.h.
 *    I only removed DSIU.
 */
#ifndef __VR41XX_SIU_H
#define __VR41XX_SIU_H

#include <linux/config.h>
#include <asm/addrspace.h>

#define SIURB			KSEG1ADDR(0x0c000000)
#define SIUTH			KSEG1ADDR(0x0c000000)
#define SIUDLL			KSEG1ADDR(0x0c000000)
#define SIUIE			KSEG1ADDR(0x0c000001)
#define SIUDLM			KSEG1ADDR(0x0c000001)
#define SIUIID			KSEG1ADDR(0x0c000002)
#define SIUFC			KSEG1ADDR(0x0c000002)
#define SIULC			KSEG1ADDR(0x0c000003)
#define SIUMC			KSEG1ADDR(0x0c000004)
#define SIULS			KSEG1ADDR(0x0c000005)
#define SIUMS			KSEG1ADDR(0x0c000006)
#define SIUSC			KSEG1ADDR(0x0c000007)
#define SIUIRSEL		KSEG1ADDR(0x0c000008)
#define SIUIRSEL_SIRSEL		0x01
#define SIUIRSEL_IRUSESEL	0x02
#define SIUIRSEL_IRMSEL		0x0c
#define SIUIRSEL_IRM_SHARP	0x00
#define SIUIRSEL_IRM_TEMIC	0x04
#define SIUIRSEL_IRM_HP		0x08
#define SIUIRSEL_TMICTX		0x10
#define SIUIRSEL_TMICMODE	0x20

#define SIURESET		KSEG1ADDR(0x0c000009)
#define SIUCSEL			KSEG1ADDR(0x0c00000a)

#define SIU_BASE_BAUD		1152000
#define SIU_CLOCK		0x0102
#define SIU_IRQ			17

#endif /* __VR41XX_SIU_H */
