/*
 * FILE NAME
 *	arch/mips/vr41xx/vr4122/common/icu.h
 *
 * BRIEF MODULE DESCRIPTION
 *	Include file for Interrupt Control Unit of the NEC VR4122 and VR4131.
 *
 * Author: Yoichi Yuasa
 *         yyuasa@mvista.com or source@mvista.com
 *
 * Copyright 2002 MontaVista Software Inc.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*
 * Changes:
 *  MontaVista Software Inc. <yyuasa@mvista.com> or <source@mvista.com>
 *  - New creation, NEC VR4122 and VR4131 are supported.
 */
#ifndef __VR41XX_ICU_H
#define __VR41XX_ICU_H

#include <linux/config.h>
#include <asm/addrspace.h>

#define SYSINT1REG	KSEG1ADDR(0x0f000080)
#define GIUINTLREG	KSEG1ADDR(0x0f000088)
#define MSYSINT1REG	KSEG1ADDR(0x0f00008c)
#define MGIUINTLREG	KSEG1ADDR(0x0f000094)

#define NMIREG		KSEG1ADDR(0x0f000098)
#define SOFTINTREG	KSEG1ADDR(0x0f00009a)

#define SYSINT2REG	KSEG1ADDR(0x0f0000a0)
#define GIUINTHREG	KSEG1ADDR(0x0f0000a2)
#define MSYSINT2REG	KSEG1ADDR(0x0f0000a6)
#define MGIUINTHREG	KSEG1ADDR(0x0f0000a8)

#define GIUINTSTATL	KSEG1ADDR(0x0f000148)
#define GIUINTSTATH	KSEG1ADDR(0x0f00014a)
#define GIUINTENL	KSEG1ADDR(0x0f00014c)
#define GIUINTENH	KSEG1ADDR(0x0f00014e)
#define GIUINTTYPL	KSEG1ADDR(0x0f000150)
#define GIUINTTYPH	KSEG1ADDR(0x0f000152)
#define GIUINTALSELL	KSEG1ADDR(0x0f000154)
#define GIUINTALSELH	KSEG1ADDR(0x0f000156)
#define GIUINTHTSELL	KSEG1ADDR(0x0f000158)
#define GIUINTHTSELH	KSEG1ADDR(0x0f00015a)

#define MIPS_CPU_IRQ_BASE	0
#define SYSINT1_IRQ_BASE	8
#define SYSINT1_IRQ_LAST	23
#define SYSINT2_IRQ_BASE	24
#define SYSINT2_IRQ_LAST	39
#define GIUINTL_IRQ_BASE	40
#define GIUINTL_IRQ_LAST	55
#define GIUINTH_IRQ_BASE	56
#define GIUINTH_IRQ_LAST	71

#define ICU_IRQ			2
#define GIU_IRQ			(SYSINT1_IRQ_BASE + 8)

#endif /* __VR41XX_ICU_H */
