/*
 * FILE NAME
 *	arch/mips/vr41xx/vr4122/common/siu.h
 *
 * BRIEF MODULE DESCRIPTION
 *	Include file for Serial Interface Unit of NEC VR4122 and VR4131.
 *
 * Author: Yoichi Yuasa
 *         yyuasa@mvista.com or source@mvista.com
 *
 * Copyright 2002 MontaVista Software Inc.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*
 * Changes:
 *  MontaVista Software Inc. <yyuasa@mvista.com> or <source@mvista.com>
 *  - New creation, NEC VR4122 and VR4131 are supported.
 */
#ifndef __VR41XX_SIU_H
#define __VR41XX_SIU_H

#include <linux/config.h>
#include <asm/addrspace.h>

#define SIURB			KSEG1ADDR(0x0f000800)
#define SIUTH			KSEG1ADDR(0x0f000800)
#define SIUDLL			KSEG1ADDR(0x0f000800)
#define SIUIE			KSEG1ADDR(0x0f000801)
#define SIUDLM			KSEG1ADDR(0x0f000801)
#define SIUIID			KSEG1ADDR(0x0f000802)
#define SIUFC			KSEG1ADDR(0x0f000802)
#define SIULC			KSEG1ADDR(0x0f000803)
#define SIUMC			KSEG1ADDR(0x0f000804)
#define SIULS			KSEG1ADDR(0x0f000805)
#define SIUMS			KSEG1ADDR(0x0f000806)
#define SIUSC			KSEG1ADDR(0x0f000807)
#define SIUIRSEL		KSEG1ADDR(0x0f000808)
#define SIUIRSEL_SIRSEL		0x01
#define SIUIRSEL_IRUSESEL	0x02
#define SIUIRSEL_IRMSEL		0x0c
#define SIUIRSEL_IRM_SHARP	0x00
#define SIUIRSEL_IRM_TEMIC	0x04
#define SIUIRSEL_IRM_HP		0x08
#define SIUIRSEL_TMICTX		0x10
#define SIUIRSEL_TMICMODE	0x20

#define SIURESET		KSEG1ADDR(0x0f000809)
#define SIUCSEL			KSEG1ADDR(0x0f00080a)

#define SIU_BASE_BAUD		1152000
#define SIU_CLOCK		0x0102
#define SIU_IRQ			17

#define DSIURB			KSEG1ADDR(0x0f000820)
#define DSIUTH			KSEG1ADDR(0x0f000820)
#define DSIUDLL			KSEG1ADDR(0x0f000820)
#define DSIUIE			KSEG1ADDR(0x0f000821)
#define DSIUIE			KSEG1ADDR(0x0f000821)
#define DSIUDLM			KSEG1ADDR(0x0f000821)
#define DSIUIID			KSEG1ADDR(0x0f000822)
#define DSIUFC			KSEG1ADDR(0x0f000822)
#define DSIULC			KSEG1ADDR(0x0f000823)
#define DSIUMC			KSEG1ADDR(0x0f000824)
#define DSIULS			KSEG1ADDR(0x0f000825)
#define DSIUMS			KSEG1ADDR(0x0f000826)
#define DSIUSC			KSEG1ADDR(0x0f000827)

#define MDSIUINTREG		KSEG1ADDR(0x0f000096)
#define INTDSIU			0x0800

#define DSIU_BASE_BAUD		1152000
#define DSIU_CLOCK		0x0802
#define DSIU_IRQ		29

#endif /* __VR41XX_SIU_H */
