/*
 * FILE NAME
 *	include/asm-mips/vr41xx/mp-c303.h
 *
 * BRIEF MODULE DESCRIPTION
 *	Include file for Victor MP-C303/304.
 *
 * Copyright 2002 Yoichi Yuasa
 *                yuasa@hh.iij4u.or.jp
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 */
#ifndef __VICTOR_MPC303_H
#define __VICTOR_MPC303_H

#include <asm/addrspace.h>
#include <asm/vr41xx.h>

/*
 * Board specific address mapping
 */
#define VR41XX_PCI_MEM_BASE		0x10000000
#define VR41XX_PCI_MEM_SIZE		0x06000000

#define VR41XX_PCI_IO_BASE		0x16000000
#define VR41XX_PCI_IO_SIZE		0x02000000

#define VR41XX_PCI_IO_START		0x01000000
#define VR41XX_PCI_IO_END		0x01ffffff

#define VR41XX_PCI_MEM_START		0x12000000
#define VR41XX_PCI_MEM_END		0x15ffffff

#define IO_PORT_BASE			KSEG1ADDR(VR41XX_PCI_IO_BASE)
#define IO_PORT_RESOURCE_START		0
#define IO_PORT_RESOURCE_END		VR41XX_PCI_IO_SIZE
#define IO_MEM_RESOURCE_START		VR41XX_PCI_MEM_BASE
#define IO_MEM_RESOURCE_END		(VR41XX_PCI_MEM_BASE + VR41XX_PCI_MEM_SIZE)

/*
 * Interrupt Number
 */
#define VRC4173_IRQ			GIUL_IRQ(1)

#endif /* __VICTOR_MPC303_H */
